Subject: Re: [Simple] What ACM is all about [was: RE: MSRP-ACM compatibility]

From: Hadriel Kaplan <[email-masked]>
Date: Thu, 25 Jun 2009 14:33:26 -0400

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Christer Holmberg
> Sent: Wednesday, May 20, 2009 6:19 PM
> 
> Unlike NAT behavior, there is no existing ACM behavior, so we don't need
> to make assumptions on how intermediates work regarding ACM.

Not to argue against the general sentiment of your points in this thread, but to be totally accurate, there *is* existing ACM behavior for intermediaries - in the sense that many intermediaries already support msrp-acm-00, because they already support Comedia/rfc4145/rfc4572, which afaict acm-00 essentially follows and thus they get "for free".  There are at least 3 different middlebox vendors which support it, and something in the ballpark of 5k-10k deployed middlebox systems which support it right now, fwiw.

Whether there are any deployed *UA's* which do msrp-acm-00 for MSRP, I don't know. (I've been told there are, but I don't know how many) 

-hadriel